# ApplicationFramework
TKShapeSchema
ShapeSchema

# ShapeSchema_PPoly_FieldOfHArray1OfTriangle Class Reference

`#include <ShapeSchema_PPoly_FieldOfHArray1OfTriangle.hxx>`

## Static Public Member Functions

static Standard_EXPORT void | SAdd (const PPoly_FieldOfHArray1OfTriangle &, const Handle(Storage_Schema)&aSchema)
static Standard_EXPORT void | SWrite (const PPoly_FieldOfHArray1OfTriangle &, Storage_BaseDriver &aDriver, const Handle(Storage_Schema)&aSchema)
static Standard_EXPORT void | SRead (PPoly_FieldOfHArray1OfTriangle &, Storage_BaseDriver &aDriver, const Handle(Storage_Schema)&aSchema)

## Member Function Documentation

static Standard_EXPORT void ShapeSchema_PPoly_FieldOfHArray1OfTriangle::SAdd | ( | const PPoly_FieldOfHArray1OfTriangle & | ,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

static Standard_EXPORT void ShapeSchema_PPoly_FieldOfHArray1OfTriangle::SRead | ( | PPoly_FieldOfHArray1OfTriangle & | ,
|  | Storage_BaseDriver & | aDriver,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

static Standard_EXPORT void ShapeSchema_PPoly_FieldOfHArray1OfTriangle::SWrite | ( | const PPoly_FieldOfHArray1OfTriangle & | ,
|  | Storage_BaseDriver & | aDriver,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

The documentation for this class was generated from the following file:

- ShapeSchema_PPoly_FieldOfHArray1OfTriangle.hxx